CATMAN(8)

NAME
catman - create the cat files for the manual

SYNOPSIS
/usr/etc/catman [ -p ] [ -n ] [ -w ] [ sections ]

DESCRIPTION
Catman creates the preformatted versions of the on-line manual from the nroff input files. Each manual page is examined and those whose preformatted versions are missing or out of date are recreated. If any changes are made, catman will recreate the /usr/lib/whatis database.

If a parameter does not begin with a `-', it is interpreted as a list of manual sections within which catman looks. In the following example, catman updates only the manual sections 1, 2, and 3:

    catman 123

Options:

-n  prevents creations of /usr/lib/whatis.

-p  prints what would be done instead of doing it.

-w  causes only the /usr/lib/whatis database to be created. No manual reformatting is done.

FILES
/usr/man/man?/*.*    raw (nroff input) manual sections
/usr/man/cat?/*.*    preformatted manual pages
/usr/lib/makewhatis    commands to make whatis database

SEE ALSO
man(1)